<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 $Id: query.jsp 464719 2006-10-16 23:18:31Z rahul $

--%>

<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>

<f:view>

<html>

  <head>
    <title><h:outputText          value="#{messages['sqlbrowser.title']}"/></title>
  <head>

  <body>

    <h:form                          id="form">

    <h:panelGrid                columns="1">

      <h:panelGrid              columns="2">

        <%-- First Row --%>

        <h:outputLabel              for="dataSource"
                                  value="#{messages['sqlbrowser.dataSource']}"/>

        <h:selectOneMenu             id="dataSource"
                                   value="#{query.dataSource}">
          <f:selectItems           value="#{appbean.dataSources}"/>
        </h:selectOneMenu>

        <%-- Second Row --%>

        <h:outputLabel              for="query"
                                  value="#{messages['sqlbrowser.query']}"/>

        <h:inputTextarea             id="query"
                                  value="#{query.query}"
                                   cols="80"
                                   rows="10"/>

        <%-- Third Row --%>

        <h:outputText             value=""/>

        <h:commandButton             id="execute"
                                 action="#{query.execute}"
                                  value="#{messages['sqlbrowser.execute']}"/>

      </h:panelGrid>

      <%-- Message list in case there are any errors --%>

      <h:messages                    id="messages"/>

      <%-- Table containing the query results --%>

      <h:dataTable                   id="results"
                                binding="#{query.results}"
                               rendered="#{query.completed}"
                                  value="#{query.resultSetDataModel}"
                                    var="current"/>

    </h:panelGrid>

    </h:form>

  </body>

</html>

</f:view>
